<?php
namespace Modules\Admin\OfferProfileRules;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	protected function list_getThDetails()
	{
		return \App\Mvc\View\Utils\Types\ListingColumns::create()
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('name')
					->setSortable('ASC')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('corporates')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('description')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('commissionDescription')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('discountDescription')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('serviceFeeDescription')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('priority')
					->setSortable('ASC')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('validity')
					->setInvisible(true)
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('idAddUser')
					->setType('userLabel')
			)
			->append(
				\App\Mvc\View\Utils\Types\ListingColumn::create('addTime')
					->setSortable('ASC')
			)
		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}
}